Under maintenance.

Most probably CPANTS databases are being regenerated from scratch due to major changes in Kwalitee metrics or updates of relevant modules/perl. Usually this maintenance takes about a day or two, and some of the information may be old or missing tentatively. Sorry for the inconvenience.

Kwalitee Issues

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Mongoose

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Mongoose

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Mongoose MongoDB document to Moose object mapper 0.37 metacpan
Mongoose::Class sugary Mongoose-oriented replacement for Moose 0.37 metacpan
Mongoose::Cursor a Mongoose wrapper for MongoDB::Cursor 0.37 metacpan
Mongoose::Document a Mongoose document role 0.37 metacpan
Mongoose::EmbeddedDocument role for embedded documents 0.37 metacpan
Mongoose::Engine Mongoose Engine loader 0.37 metacpan
Mongoose::Engine::V0 heavy lifting done here 0.37 metacpan
Mongoose::Engine::V1 serialization for MongoDBv1 driver 0.37 metacpan
Mongoose::File wrapper for MongoDB::GridFS::File 0.37 metacpan
Mongoose::Join simple class relationship resolver 0.37 metacpan
Mongoose::Meta::AttributeTraits Mongoose related attribute traits 0.37 metacpan
Mongoose::Role::Collapser 0.37 metacpan
Mongoose::Role::Engine 0.37 metacpan
Mongoose::Role::Expander 0.37 metacpan
Mongoose::Role::Naming 0.37 metacpan

Provides

Name File View
Mongoose::Meta::Attribute::Trait::Binary lib/Mongoose/Meta/AttributeTraits.pm metacpan
Mongoose::Meta::Attribute::Trait::DoNotMongoSerialize lib/Mongoose/Meta/AttributeTraits.pm metacpan
Mongoose::Meta::Attribute::Trait::Raw lib/Mongoose/Meta/AttributeTraits.pm metacpan
Moose::Meta::Attribute::Custom::Trait::Binary lib/Mongoose/Meta/AttributeTraits.pm metacpan
Moose::Meta::Attribute::Custom::Trait::DoNotMongoSerialize lib/Mongoose/Meta/AttributeTraits.pm metacpan
Moose::Meta::Attribute::Custom::Trait::Raw lib/Mongoose/Meta/AttributeTraits.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
dist.ini metacpan